中危 res_pjsip_t38在Sangoma Asterisk 13.21-cert4、15.7.3和16.5.0中允许攻击者触发崩溃

CVE编号

CVE-2019-15297

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-09-10
漏洞描述
Sangoma Asterisk 13.21-cert4、15.7.3和16.5.0中的res_pjsip_t38允许攻击者通过发送拒绝的流以响应Asterisk启动的T.38重新邀请来触发崩溃。

解决建议
厂商已发布了漏洞修复程序,请及时关注更新:
http://downloads.asterisk.org/pub/security/AST-2019-004.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 digium asterisk * From
(including)
15.0.0
Up to
(including)
15.7.3
运行在以下环境
应用 digium asterisk * From
(including)
16.0.0
Up to
(including)
16.5.0
运行在以下环境
系统 alpine_3.10 asterisk * Up to
(excluding)
16.3.0-r2
运行在以下环境
系统 alpine_3.11 asterisk * Up to
(excluding)
16.5.1-r0
运行在以下环境
系统 alpine_3.12 asterisk * Up to
(excluding)
16.5.1-r0
运行在以下环境
系统 alpine_3.13 asterisk * Up to
(excluding)
16.5.1-r0
运行在以下环境
系统 alpine_3.14 asterisk * Up to
(excluding)
16.5.1-r0
运行在以下环境
系统 alpine_3.15 asterisk * Up to
(excluding)
16.5.1-r0
运行在以下环境
系统 alpine_3.7 asterisk * Up to
(excluding)
15.6.2-r0
运行在以下环境
系统 alpine_3.8 asterisk * Up to
(excluding)
15.6.2-r0
运行在以下环境
系统 alpine_3.9 asterisk * Up to
(excluding)
15.7.4-r0
运行在以下环境
系统 alpine_edge asterisk * Up to
(excluding)
16.5.1-r0
运行在以下环境
系统 debian_10 asterisk * Up to
(excluding)
1:16.2.1~dfsg-1+deb10u2
运行在以下环境
系统 debian_9 asterisk * Up to
(excluding)
13.14.1~dfsg-2+deb9u4
阿里云评分
5.9
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    普通权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-476 空指针解引用
阿里云安全产品覆盖情况